Subject: Re: bug#44598: [PATCH] Do not show obsolete options in customize

From: "Basil L. Contovounesios" <[email-masked]>
Date: Thu, 12 Nov 2020 22:18:11 +0000

Stefan Kangas <[email-masked]> writes:

> "Basil L. Contovounesios" <[email-masked]> writes:
>
>> Stefan Kangas <[email-masked]> writes:
>>
>>> From 66221f1d0f7ee4f2af0d6c65fe956cce711b48e2 Mon Sep 17 00:00:00 2001
>>> From: Stefan Kangas <[email-masked]>
>>> Date: Sat, 24 Oct 2020 19:44:20 +0200
>>> Subject: [PATCH] Do not show obsolete options in customize
>>>
>>> * lisp/cus-edit.el (custom-variable-obsolete): Delete face.
>>
>> Perhaps it should be marked obsolete first?
>
> It's not clear to me how this is supposed to work.  I see some patches
> in the git log that just deletes them, and some that don't.
>
> We also have `define-obsolete-face-alias' but no `make-obsolete-face'.

Looks like face obsoletion is not as first-class a citizen as variable
and function obsoletion.  If you'd rather not bother, that's fine with
me.

-- 
Basil